Narzędzie: get_user_profile
uzyskiwać informacje o profilu (imię i nazwisko oraz adres e-mail);
Poniższy przykład pokazuje, jak za pomocą znaku curl wywołać narzędzie get_user_profile MCP.
| Żądanie curl |
|---|
curl --location 'https://people.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_user_profile", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Schemat wejściowy
Wiadomość z prośbą o profil użytkownika.
Schemat wyjściowy
Wiadomość odpowiedzi dla GetUserProfile.
GetUserProfileResponse
| Zapis JSON |
|---|
{ "name": string, "emailAddress": string } |
| Pola | |
|---|---|
name |
Wyświetlana nazwa użytkownika. |
emailAddress |
Adres e-mail konta użytkownika. |
Adnotacje narzędzi
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌